%define upstream_name    Regexp-Grammars
%define upstream_version 1.058

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Add grammatical parsing features to Perl 5.10 regexes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Regexp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
This module adds a small number of new regex constructs that can be used
within Perl 5.10 patterns to implement complete recursive-descent parsing.

Perl 5.10 already supports recursive=descent _matching_, via the new
'(?<name>...)' and '(?&name)' constructs. For example, here is a simple
matcher for a subset of the LaTeX markup language:

    $matcher = qr{
        (?&File)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.58.0-2.mga10
+ Revision: 2215218
- Mageia 10 Mass Rebuild

* Thu Sep 22 2022 tv <tv> 1.58.0-1.mga9
+ Revision: 1891556
- update to 1.058

* Mon Mar 21 2022 umeabot <umeabot> 1.57.0-2.mga9
+ Revision: 1812684
- Mageia 9 Mass Rebuild

* Sat May 23 2020 tv <tv> 1.57.0-1.mga8
+ Revision: 1587068
- update to 1.057

* Fri May 08 2020 tv <tv> 1.55.0-1.mga8
+ Revision: 1581657
- update to 1.055

* Wed May 06 2020 tv <tv> 1.54.0-1.mga8
+ Revision: 1580824
- update to 1.054

* Mon May 04 2020 tv <tv> 1.53.0-1.mga8
+ Revision: 1578728
- update to 1.053

* Sat Feb 15 2020 umeabot <umeabot> 1.52.0-2.mga8
+ Revision: 1527478
- Mageia 8 Mass Rebuild

* Wed Jul 17 2019 tv <tv> 1.52.0-1.mga8
+ Revision: 1421987
- update to 1.052

* Wed Jul 03 2019 tv <tv> 1.51.0-1.mga8
+ Revision: 1417897
- update to 1.051

* Sat Jun 29 2019 shlomif <shlomif> 1.50.0-1.mga8
+ Revision: 1415622
- update to 1.050

* Wed Oct 17 2018 shlomif <shlomif> 1.49.0-1.mga7
+ Revision: 1321476
- update to 1.049

* Thu Sep 20 2018 umeabot <umeabot> 1.48.0-3.mga7
+ Revision: 1285951
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.48.0-2.mga7
+ Revision: 1166403
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.48.0-1.mga7
+ Revision: 1160717
- update to 1.048

* Sun Jun 19 2016 pterjan <pterjan> 1.45.0-2.mga6
+ Revision: 1032813
- Rebuild for perl 5.22.2

* Fri Jan 15 2016 shlomif <shlomif> 1.45.0-1.mga6
+ Revision: 923272
- New version 1.045

* Thu Dec 17 2015 shlomif <shlomif> 1.44.0-1.mga6
+ Revision: 911371
- New version 1.044

* Mon Sep 28 2015 sander85 <sander85> 1.42.0-1.mga6
+ Revision: 884801
- update to 1.042

* Thu Jun 25 2015 shlomif <shlomif> 1.41.0-1.mga6
+ Revision: 843614
- update to 1.041

* Sun Oct 19 2014 umeabot <umeabot> 1.35.0-4.mga5
+ Revision: 788535
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.35.0-3.mga5
+ Revision: 742014
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.35.0-2.mga5
+ Revision: 686101
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 sander85 <sander85> 1.35.0-1.mga5
+ Revision: 641836
- update to 1.035

* Wed Jun 11 2014 sander85 <sander85> 1.34.0-1.mga5
+ Revision: 635619
- update to 1.034

* Sat Oct 19 2013 umeabot <umeabot> 1.33.0-2.mga4
+ Revision: 533977
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 1.33.0-1.mga4
+ Revision: 475922
- update to 1.033

* Thu Aug 29 2013 sander85 <sander85> 1.32.0-1.mga4
+ Revision: 473069
- update to 1.032
- update to 1.031

* Wed Jun 26 2013 jquelin <jquelin> 1.30.0-1.mga4
+ Revision: 447086
- update to 1.030

* Sun Jan 13 2013 umeabot <umeabot> 1.21.0-2.mga3
+ Revision: 372301
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 shlomif <shlomif> 1.21.0-1.mga3
+ Revision: 324091
- imported package perl-Regexp-Grammars


* Sat Dec 01 2012 cpan2dist 1.021-1mga
- initial mageia release, generated with cpan2dist
